IdeaPulleyDocs
GuidesAPI referenceOpenAPI
Open app
  • Introduction
Get started
  • Authentication
  • API basics
  • Errors
  • Rate limits
Endpoints
  • Fund
  • Deals
  • Memos
  • Notes
    • List notesGET
    • Add a notePOST
  • Decisions and outcomes
  • Contacts and reports
  • Evaluations
  • Webhooks
  • More endpoints
Guides
  • Application form
  • Webhook events
  • Claude and ChatGPT (MCP)
  • Zapier, n8n and Polytomic
Notes

Notes

Note endpoints read and add the notes that your team writes on a deal.

List notes

Notes on a deal.

GEThttps://www.ideapulley.com/api/v2/deals/{id}/notesnotes:read

Path parameters

NameType
idRequired

The ID.

integer

Query parameters

NameType
limit

Items per page (1-200). Default 50.

integer
cursor

The next_cursor from the previous page. Up to 200 characters.

string
updated_since

Unix seconds. Only items created or changed at or after this time.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/deals/42/notes \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/deals/42/notes", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/deals/42/notes",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": [
    { … }
  ],
  "next_cursor": "eyJpZCI6NDJ9",
  "has_more": true
}

Add a note

Add a note to a deal.

POSThttps://www.ideapulley.com/api/v2/deals/{id}/notesnotes:write

Path parameters

NameType
idRequired

The ID.

integer

Headers

NameType
Idempotency-Key

Optional. A retry with the same key and body gets the first answer for 24 hours.

string

Body parameters

NameType
contentRequired

The note text. Up to 5,000 characters.

string

Example request

cURL
curl -X POST https://www.ideapulley.com/api/v2/deals/42/notes \
  -H "Authorization: Bearer $IDEAPULLEY_KEY" \
  -H "Content-Type: application/json" \
  -d '{"content":"Met the founder. Strong on distribution."}'
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/deals/42/notes", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "content": "Met the founder. Strong on distribution."
  }),
});
const data = await res.json();
Python
import os
import requests

res = requests.post(
    "https://www.ideapulley.com/api/v2/deals/42/notes",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
    json={
        "content": "Met the founder. Strong on distribution."
    },
)
data = res.json()

Response

201 · application/json
{
  "data": { … }
}
IdeaPulleyDocs
GuidesAPI referenceOpenAPI
Open app
  • Introduction
Get started
  • Authentication
  • API basics
  • Errors
  • Rate limits
Endpoints
  • Fund
  • Deals
  • Memos
  • Notes
    • List notesGET
    • Add a notePOST
  • Decisions and outcomes
  • Contacts and reports
  • Evaluations
  • Webhooks
  • More endpoints
Guides
  • Application form
  • Webhook events
  • Claude and ChatGPT (MCP)
  • Zapier, n8n and Polytomic
Notes

Notes

Note endpoints read and add the notes that your team writes on a deal.

List notes

Notes on a deal.

GEThttps://www.ideapulley.com/api/v2/deals/{id}/notesnotes:read

Path parameters

NameType
idRequired

The ID.

integer

Query parameters

NameType
limit

Items per page (1-200). Default 50.

integer
cursor

The next_cursor from the previous page. Up to 200 characters.

string
updated_since

Unix seconds. Only items created or changed at or after this time.

integer

Example request

cURL
curl https://www.ideapulley.com/api/v2/deals/42/notes \
  -H "Authorization: Bearer $IDEAPULLEY_KEY"
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/deals/42/notes", {
  method: "GET",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
  },
});
const data = await res.json();
Python
import os
import requests

res = requests.get(
    "https://www.ideapulley.com/api/v2/deals/42/notes",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
)
data = res.json()

Response

200 · application/json
{
  "data": [
    { … }
  ],
  "next_cursor": "eyJpZCI6NDJ9",
  "has_more": true
}

Add a note

Add a note to a deal.

POSThttps://www.ideapulley.com/api/v2/deals/{id}/notesnotes:write

Path parameters

NameType
idRequired

The ID.

integer

Headers

NameType
Idempotency-Key

Optional. A retry with the same key and body gets the first answer for 24 hours.

string

Body parameters

NameType
contentRequired

The note text. Up to 5,000 characters.

string

Example request

cURL
curl -X POST https://www.ideapulley.com/api/v2/deals/42/notes \
  -H "Authorization: Bearer $IDEAPULLEY_KEY" \
  -H "Content-Type: application/json" \
  -d '{"content":"Met the founder. Strong on distribution."}'
TypeScript
const res = await fetch("https://www.ideapulley.com/api/v2/deals/42/notes", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.IDEAPULLEY_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "content": "Met the founder. Strong on distribution."
  }),
});
const data = await res.json();
Python
import os
import requests

res = requests.post(
    "https://www.ideapulley.com/api/v2/deals/42/notes",
    headers={"Authorization": f"Bearer {os.environ['IDEAPULLEY_KEY']}"},
    json={
        "content": "Met the founder. Strong on distribution."
    },
)
data = res.json()

Response

201 · application/json
{
  "data": { … }
}